# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.2

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap

# Include any dependencies generated for this target.
include src/CMakeFiles/ztee.dir/depend.make

# Include the progress variables for this target.
include src/CMakeFiles/ztee.dir/progress.make

# Include the compile flags for this target's objects.
include src/CMakeFiles/ztee.dir/flags.make

src/topt.h: src/topt.ggo
	$(CMAKE_COMMAND) -E cmake_progress_report /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold "Generating topt.h"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && gengetopt -S --no-help --no-version --unamed-opts=FILE -i /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/topt.ggo -F /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/topt

src/CMakeFiles/ztee.dir/ztee.c.o: src/CMakeFiles/ztee.dir/flags.make
src/CMakeFiles/ztee.dir/ztee.c.o: src/ztee.c
	$(CMAKE_COMMAND) -E cmake_progress_report /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/CMakeFiles $(CMAKE_PROGRESS_2)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building C object src/CMakeFiles/ztee.dir/ztee.c.o"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles/ztee.dir/ztee.c.o   -c /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/ztee.c

src/CMakeFiles/ztee.dir/ztee.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/ztee.dir/ztee.c.i"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -E /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/ztee.c > CMakeFiles/ztee.dir/ztee.c.i

src/CMakeFiles/ztee.dir/ztee.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/ztee.dir/ztee.c.s"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -S /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/ztee.c -o CMakeFiles/ztee.dir/ztee.c.s

src/CMakeFiles/ztee.dir/ztee.c.o.requires:
.PHONY : src/CMakeFiles/ztee.dir/ztee.c.o.requires

src/CMakeFiles/ztee.dir/ztee.c.o.provides: src/CMakeFiles/ztee.dir/ztee.c.o.requires
	$(MAKE) -f src/CMakeFiles/ztee.dir/build.make src/CMakeFiles/ztee.dir/ztee.c.o.provides.build
.PHONY : src/CMakeFiles/ztee.dir/ztee.c.o.provides

src/CMakeFiles/ztee.dir/ztee.c.o.provides.build: src/CMakeFiles/ztee.dir/ztee.c.o

src/CMakeFiles/ztee.dir/topt_compat.c.o: src/CMakeFiles/ztee.dir/flags.make
src/CMakeFiles/ztee.dir/topt_compat.c.o: src/topt_compat.c
	$(CMAKE_COMMAND) -E cmake_progress_report /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/CMakeFiles $(CMAKE_PROGRESS_3)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building C object src/CMakeFiles/ztee.dir/topt_compat.c.o"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles/ztee.dir/topt_compat.c.o   -c /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/topt_compat.c

src/CMakeFiles/ztee.dir/topt_compat.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/ztee.dir/topt_compat.c.i"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -E /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/topt_compat.c > CMakeFiles/ztee.dir/topt_compat.c.i

src/CMakeFiles/ztee.dir/topt_compat.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/ztee.dir/topt_compat.c.s"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && /usr/bin/cc  $(C_DEFINES) $(C_FLAGS) -S /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/topt_compat.c -o CMakeFiles/ztee.dir/topt_compat.c.s

src/CMakeFiles/ztee.dir/topt_compat.c.o.requires:
.PHONY : src/CMakeFiles/ztee.dir/topt_compat.c.o.requires

src/CMakeFiles/ztee.dir/topt_compat.c.o.provides: src/CMakeFiles/ztee.dir/topt_compat.c.o.requires
	$(MAKE) -f src/CMakeFiles/ztee.dir/build.make src/CMakeFiles/ztee.dir/topt_compat.c.o.provides.build
.PHONY : src/CMakeFiles/ztee.dir/topt_compat.c.o.provides

src/CMakeFiles/ztee.dir/topt_compat.c.o.provides.build: src/CMakeFiles/ztee.dir/topt_compat.c.o

# Object files for target ztee
ztee_OBJECTS = \
"CMakeFiles/ztee.dir/ztee.c.o" \
"CMakeFiles/ztee.dir/topt_compat.c.o"

# External object files for target ztee
ztee_EXTERNAL_OBJECTS =

src/ztee: src/CMakeFiles/ztee.dir/ztee.c.o
src/ztee: src/CMakeFiles/ztee.dir/topt_compat.c.o
src/ztee: src/CMakeFiles/ztee.dir/build.make
src/ztee: lib/libzmaplib.a
src/ztee: src/CMakeFiles/ztee.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking C executable ztee"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ztee.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
src/CMakeFiles/ztee.dir/build: src/ztee
.PHONY : src/CMakeFiles/ztee.dir/build

# Object files for target ztee
ztee_OBJECTS = \
"CMakeFiles/ztee.dir/ztee.c.o" \
"CMakeFiles/ztee.dir/topt_compat.c.o"

# External object files for target ztee
ztee_EXTERNAL_OBJECTS =

src/CMakeFiles/CMakeRelink.dir/ztee: src/CMakeFiles/ztee.dir/ztee.c.o
src/CMakeFiles/CMakeRelink.dir/ztee: src/CMakeFiles/ztee.dir/topt_compat.c.o
src/CMakeFiles/CMakeRelink.dir/ztee: src/CMakeFiles/ztee.dir/build.make
src/CMakeFiles/CMakeRelink.dir/ztee: lib/libzmaplib.a
src/CMakeFiles/CMakeRelink.dir/ztee: src/CMakeFiles/ztee.dir/relink.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking C executable CMakeFiles/CMakeRelink.dir/ztee"
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ztee.dir/relink.txt --verbose=$(VERBOSE)

# Rule to relink during preinstall.
src/CMakeFiles/ztee.dir/preinstall: src/CMakeFiles/CMakeRelink.dir/ztee
.PHONY : src/CMakeFiles/ztee.dir/preinstall

src/CMakeFiles/ztee.dir/requires: src/CMakeFiles/ztee.dir/ztee.c.o.requires
src/CMakeFiles/ztee.dir/requires: src/CMakeFiles/ztee.dir/topt_compat.c.o.requires
.PHONY : src/CMakeFiles/ztee.dir/requires

src/CMakeFiles/ztee.dir/clean:
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src && $(CMAKE_COMMAND) -P CMakeFiles/ztee.dir/cmake_clean.cmake
.PHONY : src/CMakeFiles/ztee.dir/clean

src/CMakeFiles/ztee.dir/depend: src/topt.h
	cd /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src /home/mike/folder/studium_ms/semester_5/master_thesis/scm-ssi-probe-response/attack_implementation/zmap/src/CMakeFiles/ztee.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : src/CMakeFiles/ztee.dir/depend

